/*\file plapackpatches.h
 * \brief: our own patches for plapack use
 */

#ifndef _PLAPACK_PATCHES_H_
#define _PLAPACK_PATCHES_H_

int PlapackInvertMatrix(Mat* A,Mat* inv_A,int status,int con,COMM comm);
int PlapackToPetsc(Mat* A,int local_mA,int local_nA,int mA,int nA,MatType type,PLA_Obj a,PLA_Template templ,int nprows,int npcols,int nb,COMM comm);
int CyclicalFactorization(int* pnprows,int* pnpcols,int num_procs);

#endif
